Bug 248142 - Repeatable Mesa OpenGL X segfault and crash on :1 server
Repeatable Mesa OpenGL X segfault and crash on :1 server
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-13 08:56 EDT by Carl-Johan Kjellander
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-06 16:32:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
First crash (70.63 KB, text/plain)
2007-07-13 08:58 EDT, Carl-Johan Kjellander
no flags Details
Second crash (70.69 KB, text/plain)
2007-07-13 08:58 EDT, Carl-Johan Kjellander
no flags Details
xorg.conf (1.38 KB, text/plain)
2007-07-13 09:04 EDT, Carl-Johan Kjellander
no flags Details

  None (edit)
Description Carl-Johan Kjellander 2007-07-13 08:56:13 EDT
Description of problem:
On a Kontron 986LCD m/ITX board we are using the built in
i810 graphics card. This works fine with DRI, rock solid.

But when opening a second X server with 'startx -- :1'
using OpenGL crashes that X server.

Version-Release number of selected component (if applicable):
xorg-x11-apps-7.1-3.fc6
xorg-x11-docs-1.2-4.fc6
xorg-x11-drivers-7.1-3
xorg-x11-drv-acecad-1.1.0-2.1
xorg-x11-drv-aiptek-1.0.1-2
xorg-x11-drv-apm-1.1.1-2.1
xorg-x11-drv-ark-0.6.0-2.1
xorg-x11-drv-ast-0.81.0-3
xorg-x11-drv-ati-6.6.3-1.fc6
xorg-x11-drv-calcomp-1.1.0-1.1
xorg-x11-drv-chips-1.1.1-2.1
xorg-x11-drv-cirrus-1.1.0-2.fc6
xorg-x11-drv-citron-2.2.0-1.1
xorg-x11-drv-cyrix-1.1.0-4
xorg-x11-drv-digitaledge-1.1.0-1.1
xorg-x11-drv-dmc-1.1.0-2
xorg-x11-drv-dummy-0.2.0-2.1
xorg-x11-drv-dynapro-1.1.0-2
xorg-x11-drv-elo2300-1.1.0-1.1
xorg-x11-drv-elographics-1.1.0-1.1
xorg-x11-drv-evdev-1.1.2-2.1
xorg-x11-drv-fbdev-0.3.0-2
xorg-x11-drv-fpit-1.1.0-1.1
xorg-x11-drv-glint-1.1.1-4.1
xorg-x11-drv-hyperpen-1.1.0-2
xorg-x11-drv-i128-1.2.0-4
xorg-x11-drv-i740-1.1.0-2.1
xorg-x11-drv-i810-1.6.5-10.fc6
xorg-x11-drv-jamstudio-1.1.0-1.1
xorg-x11-drv-joystick-1.1.0-1.1
xorg-x11-drv-keyboard-1.1.0-2.1
xorg-x11-drv-magellan-1.1.0-1.1
xorg-x11-drv-magictouch-1.0.0.5-2.1
xorg-x11-drv-mga-1.4.5-2.fc6
xorg-x11-drv-microtouch-1.1.0-1.1
xorg-x11-drv-mouse-1.2.1-1.fc6
xorg-x11-drv-mutouch-1.1.0-2
xorg-x11-drv-neomagic-1.1.1-2.1
xorg-x11-drv-nsc-2.8.1-2.1
xorg-x11-drv-nv-1.2.0-4.fc6
xorg-x11-drv-palmax-1.1.0-1.1
xorg-x11-drv-penmount-1.1.0-2.1
xorg-x11-drv-rendition-4.1.0-3.1
xorg-x11-drv-s3-0.5.0-1.fc6
xorg-x11-drv-s3virge-1.9.1-2.1
xorg-x11-drv-savage-2.1.2-3.fc6
xorg-x11-drv-siliconmotion-1.4.1-2.1
xorg-x11-drv-sis-0.9.1-7
xorg-x11-drv-sisusb-0.8.1-4.1
xorg-x11-drv-spaceorb-1.1.0-1.1
xorg-x11-drv-summa-1.1.0-1.1
xorg-x11-drv-tdfx-1.3.0-2.fc6
xorg-x11-drv-trident-1.2.3-1.fc6
xorg-x11-drv-tseng-1.1.0-3.1
xorg-x11-drv-ur98-1.1.0-1.1
xorg-x11-drv-v4l-0.1.1-4
xorg-x11-drv-vesa-1.2.1-4
xorg-x11-drv-vga-4.1.0-2.1
xorg-x11-drv-via-0.2.1-7
xorg-x11-drv-vmmouse-12.4.0-2.1
xorg-x11-drv-vmware-10.13.0-2.1
xorg-x11-drv-void-1.1.0-3.1
xorg-x11-drv-voodoo-1.1.0-3.1
xorg-x11-filesystem-7.1-2.fc6
xorg-x11-fonts-100dpi-7.1-2
xorg-x11-fonts-75dpi-7.1-2
xorg-x11-fonts-base-7.1-2
xorg-x11-fonts-ISO8859-1-100dpi-7.1-2
xorg-x11-fonts-ISO8859-1-75dpi-7.1-2
xorg-x11-fonts-misc-7.1-2
xorg-x11-fonts-truetype-7.1-2
xorg-x11-fonts-Type1-7.1-2
xorg-x11-font-utils-7.1-2
xorg-x11-proto-devel-7.1-9.fc6
xorg-x11-resutils-7.1-2.fc6
xorg-x11-server-sdk-1.1.1-47.10.fc6
xorg-x11-server-utils-7.1-4.fc6
xorg-x11-server-Xorg-1.1.1-47.10.fc6
xorg-x11-twm-1.0.1-3.1
xorg-x11-util-macros-1.0.2-4.fc6
xorg-x11-utils-7.1-2.fc6
xorg-x11-xauth-1.0.1-2.1
xorg-x11-xbitmaps-1.0.1-4.1
xorg-x11-xdm-1.0.5-5.fc6
xorg-x11-xfs-1.0.2-3.1
xorg-x11-xinit-1.0.2-15.fc6
xorg-x11-xkb-utils-1.0.2-2.1
xorg-x11-xtrans-devel-1.0.1-1.1.fc6


How reproducible:
100% within a minute

Steps to Reproduce:
1. start an extra X server with 'startx -- :1'
2. glxgears
3. Play with the window changing the size and moving it around
   for a minute.
  
Actual results:
Segfault and the second server dies.

Expected results:
No segfault.

Additional info:
Attaching two Xorg.1.log files and my xorg.conf.
Comment 1 Carl-Johan Kjellander 2007-07-13 08:58:06 EDT
Created attachment 159167 [details]
First crash
Comment 2 Carl-Johan Kjellander 2007-07-13 08:58:38 EDT
Created attachment 159168 [details]
Second crash
Comment 3 Carl-Johan Kjellander 2007-07-13 09:04:35 EDT
Created attachment 159169 [details]
xorg.conf
Comment 4 Adam Jackson 2007-09-06 16:32:51 EDT
This should be resolved as of xorg-x11-server 1.3.0.0-18.  Please test, and
reopen if this is still an issue for you.

Note You need to log in before you can comment on or make changes to this bug.